Journal Rôle du dépôt debian-volatile dans Debian

Posté par (page perso) .
Tags : aucun
24
15
oct.
2010
Je constate souvent que les utilisateurs de Debian ne savent pas vraiment à quoi sert le dépôt debian-volatile. Je vais tenter ici de répondre à cette question car avec la nouvelle version stable Squeeze en cours de finalisation, on peut imaginer que pas mal de machines vont bientôt partir en production.

Certains logiciels nécessitent de petites évolutions plus ou moins régulières, commes les antivirus ou les antispams. Il apparaît évident que la durée de vie de la version stable de Debian est trop longue pour assurer à ce type de programmes de rester pleinement fonctionnel.

Grâce au dépôt debian-volatile, nous allons pouvoir mettre à jour facilement ces programmes au besoin, de façon à les conserver fonctionnels tout au long du cycle de vie de la Debian stable, sans avoir à requérir de manipulations fastidieuses pour aller chercher une version améliorée.

Pour utiliser le dépôt debian-volatile sous Debian stable (actuellement Lenny), il est nécessaire de renseigner la ligne suivante dans votre fichier /etc/apt/sources.list :

deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib non-free

Pour que les utilisateurs soient avertis qu’un paquet mis à jour est disponible dans debian-volatile, un message est envoyé sur la liste de diffusion debian-volatile-announce. Vous bénéficiez ainsi d’une description synthétique des améliorations apportées par le nouveau paquet.

Voici quelques exemples de paquets mis à jour par debian-volatile :
  • spamassassin
  • clamav
  • tzdata
Ce dépôt n’est donc pas à négliger pour maintenir votre Debian stable à jour sur ces logiciels qui peuvent s’avérer critiques pour votre infrastructure.
  • # Merci

    Posté par . Évalué à 2.

    Pour cette petite mais néanmoins utile explication
  • # Petites réctifications

    Posté par . Évalué à 2.

    Petite correction : on n’est pas obligé de mettre contrib et non-free (RMS powah, tout ça).

    Petit ajout : il va aussi y avoir volatile-sloppy pour les paquets qui nécessiteront un effort pour la mise à jour, c’est-à-dire pour lesquels la nouvelle version modifie les fonctionnalités ou le mode de fonctionnement.
  • # Pas de Tor dans Ubuntu

    Posté par (page perso) . Évalué à 2.

    J'apprends à l'instant que Ubuntu ne propose pas de paquet pour le logiciel Tor car ce dernier change trop souvent pour la version LTS et qu'ils n'ont pas de dépôt équivalent à debian-volatile.

    Si un développeur Ubuntu peut confirmer ou infirmer cette information, je pense que ça va intéresser du monde.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.